// *************************************************************** //
// Filename:    app.cpp                                            //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#include "DlgTest.h"

// --------------------------------------------------------------- //
// Application constructor                                         //
// --------------------------------------------------------------- //
TDlgTestApp::TDlgTestApp() : 
  TApplication() 
{
}

// --------------------------------------------------------------- //
// Application destructor                                          //
// --------------------------------------------------------------- //
TDlgTestApp::~TDlgTestApp()
{
}

// --------------------------------------------------------------- //
// InitMainWindow                                                  //
// --------------------------------------------------------------- //
void TDlgTestApp::InitMainWindow()
{
  SetMainWindow(new TFrameWindow(NULL, 
    "DlgTest application", new TDlgTestWindow));
  GetMainWindow()->Attr.Style = WS_OVERLAPPEDWINDOW;
  GetMainWindow()->AssignMenu("MainMenu");
}

// --------------------------------------------------------------- //
// OwlMain                                                         //
// --------------------------------------------------------------- //
int OwlMain(int /*argc*/, char* /*argv*/ [])
{
  TDlgTestApp app;
  app.EnableCtl3d(TRUE);
  return app.Run();
}
