// *************************************************************** //
// Filename:    modal.cpp                                          //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
//  Implementation of the modal dialog class.                      //
// *************************************************************** //
#include "DlgTest.h"

// --------------------------------------------------------------- //
// constructor                                                     //
// --------------------------------------------------------------- //
TMyModal::TMyModal(TWindow *Parent, TResId ResId) :
  TDialog(Parent, ResId), TWindow(Parent, 0)
{
  lb = new TMyListBox(this, IDC_LISTBOX1);
}

// --------------------------------------------------------------- //
// destructor                                                      //
// --------------------------------------------------------------- //
TMyModal::~TMyModal()
{
}

// --------------------------------------------------------------- //
// SetupWindow                                                     //
// --------------------------------------------------------------- //
void TMyModal::SetupWindow()
{
  TDialog::SetupWindow();
  // add additional code here
  lb->AddString("hello");
  lb->AddString("foo");
  lb->AddString("there");
  lb->AddString("is");
  lb->AddString("a");
  lb->AddString("man");
  lb->AddString("sitting");
  lb->AddString("by");
  lb->AddString("the");
  lb->AddString("fire");
}

DEFINE_RESPONSE_TABLE1(TMyModal, TDialog)
  EV_WM_MEASUREITEM,
  EV_WM_SETFOCUS,
END_RESPONSE_TABLE;

// --------------------------------------------------------------- //
// WM_MEASUREITEM                                                  //
// --------------------------------------------------------------- //
void TMyModal::EvMeasureItem(UINT ctrlId, MEASUREITEMSTRUCT &measure)
{
  if (ctrlId == IDC_LISTBOX1)
  {
    measure.itemHeight = GetSystemMetrics(SM_CYICON);
  }
  else
    TDialog::EvMeasureItem(ctrlId, measure);
}

